﻿.product-image {
    width: 100%; /* Ensures the image is responsive within its parent's width */
    /*height: calc(width*1.2);*/ /* Set your desired fixed height */
    aspect-ratio: 10 / 12;
    object-fit: cover; /* Crops the image to cover the entire container while maintaining aspect ratio */
    object-position: center; /* Centers the image within the cropped area (default) */
}

.right {
    text-align: right;
}

.catalog-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(20rem, 1fr));
    gap: 1rem;
}

.product-description {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

/* This is done because sticky elements are not sticky on mobile devices */
@media (max-width: 768px) {
    main {
        overflow-x: visible;
    }
}

.modal-backdrop-confirmation.show {
    opacity: 0.7;
}

.container-fluid {
    margin-left: -6px;
    margin-right: -6px;
}

.tc-w-100px {
    max-width: 100px;
}

.tc-form-label {
    font-size: 0.94rem;
    font-weight: 600;
    margin-bottom: 0.25rem;
}

.tc-form-control {
    min-height: 34px;
    padding-top: .3rem;
    padding-bottom: .3rem;
}

.tc-card-header {
    background-color: #f8f9fa;
    font-weight: 500;
    padding: .5rem .9rem;
}